log4shib::StringUtil(3)

NAME
log4shib::StringUtil

SYNOPSIS

#include <StringUtil.hh>

  Static Public Member Functions
static std::string vform (const char *format, va_list args)
Returns a string contructed from the a format specifier and a va_list of arguments, analogously to vprintf(3).
static std::string trim (const std::string &s)
Returns a string identical to the given string but without leading or trailing HTABs or spaces.
static unsigned int split (std::vector< std::string > &v, const std::string &s, char delimiter, unsigned int maxSegments=INT_MAX)
template<typename T > static unsigned int split (T &output, const std::string &s, char delimiter, unsigned int maxSegments=INT_MAX)
splits a string into string segments based on the given delimiter and assigns the segments through an output_iterator.

Member Function Documentation

  unsigned int log4shib::StringUtil::split (std::vector< std::string > & v, const std::string & s, char delimiter, unsigned int maxSegments = INT_MAX) [static]

splits a string into a vector of string segments based on the
given delimiter.
@param v The vector in which the segments will be stored. The vector
will be emptied before storing the segments
@param s The string to split into segments.
@param delimiter The delimiter character
@param maxSegments the maximum number of segments. Upon return
v.size() <= maxSegments.  The string is scanned from left to right
so v[maxSegments - 1] may contain a string containing the delimiter
character.

Returns
    The actual number of segments (limited by maxSegments).

  template<typename T > static unsigned int log4shib::StringUtil::split (T & output, const std::string & s, char delimiter, unsigned int maxSegments = INT_MAX) [inline], [static]

splits a string into string segments based on the given delimiter and assigns the segments through an output_iterator.

Parameters
    output The output_iterator through which to assign the string segments. Typically this will be a back_insertion_iterator.
    s The string to split into segments.
    delimiter The delimiter character
    maxSegments The maximum number of segments.

Returns
    The actual number of segments (limited by maxSegments).

  std::string log4shib::StringUtil::trim (const std::string & s) [static]

Returns a string identical to the given string but without leading or trailing HTABs or spaces.

  std::string log4shib::StringUtil::vform (const char * format, va_list args) [static]

Returns a string contructed from the a format specifier and a va_list of arguments, analogously to vprintf(3).

Parameters
    format the format specifier.
    args the va_list of arguments.

Author

Generated automatically by Doxygen for log4shib from the source code.